Loading...
Searching...
No Matches
Vector< T >

## Detailed Description

template<class T>
struct rheolef::Vector< T >

Definition at line 175 of file Vector.h.

Inheritance diagram for Vector< T >:

## Public Types

typedef vector_rep< T > | DATA
typedef DATA::iterator | iterator
typedef DATA::const_iterator | const_iterator
typedef DATA::pointer | pointer
typedef DATA::reference | reference
typedef DATA::const_reference | const_reference
typedef DATA::size_type | size_type
typedef DATA::difference_type | difference_type
typedef T | value_type
typedef DATA::reverse_iterator | reverse_iterator
typedef DATA::const_reverse_iterator | const_reverse_iterator
Public Types inherited from smart_pointer< vector_rep< T > >
typedef vector_rep< T > | handled_type
typedef base::internal | internal

## Public Member Functions

| Vector (size_type n=0, const T &value=T())
| Vector (const_iterator first, const_iterator last)
void | reserve (size_type n)
void | swap (Vector< T > &x)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
size_type | size () const
size_type | max_size () const
size_type | capacity () const
bool | empty () const
void | resize (size_type sz, T v=T())
const_reference | operator[] (size_type n) const
reference | operator[] (size_type n)
const_reference | at (size_type n) const
reference | at (size_type n)
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const
void | push_back (const T &x)
iterator | insert (iterator position, const T &x=T())
void | insert (iterator position, size_type n, const T &x)
void | insert (iterator position, const_iterator first, const_iterator last)
void | pop_back ()
void | erase (iterator position)
void | erase (iterator first, iterator last)
Public Member Functions inherited from smart_pointer< vector_rep< T > >
| smart_pointer (vector_rep< T > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< vector_rep< T > > &x)
smart_pointer< vector_rep< T > > & | operator= (const smart_pointer< vector_rep< T > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## DATA

template<class T >

typedef vector_rep<T> DATA

Definition at line 177 of file Vector.h.

## iterator

template<class T >

typedef DATA::iterator iterator

Definition at line 183 of file Vector.h.

## const_iterator

template<class T >

typedef DATA::const_iterator const_iterator

Definition at line 184 of file Vector.h.

## pointer

template<class T >

typedef DATA::pointer pointer

Definition at line 185 of file Vector.h.

## reference

template<class T >

typedef DATA::reference reference

Definition at line 186 of file Vector.h.

## const_reference

template<class T >

typedef DATA::const_reference const_reference

Definition at line 187 of file Vector.h.

## size_type

template<class T >

typedef DATA::size_type size_type

Definition at line 188 of file Vector.h.

## difference_type

template<class T >

typedef DATA::difference_type difference_type

Definition at line 189 of file Vector.h.

## value_type

template<class T >

typedef T value_type

Definition at line 190 of file Vector.h.

## reverse_iterator

template<class T >

typedef DATA::reverse_iterator reverse_iterator

Definition at line 191 of file Vector.h.

## const_reverse_iterator

template<class T >

typedef DATA::const_reverse_iterator const_reverse_iterator

Definition at line 192 of file Vector.h.

## Constructor & Destructor Documentation

## Vector() [1/2]

template<class T >

Vector | ( | size_type | n = `0`,
|  | const T & | value = `T ()`
| ) |  |

explicit

Definition at line 197 of file Vector.h.

## Vector() [2/2]

template<class T >

Vector | ( | const_iterator | first,
|  | const_iterator | last
| ) |  |

Definition at line 202 of file Vector.h.

## Member Function Documentation

## reserve()

template<class T >

void reserve | ( | size_type | n | ) |

Definition at line 207 of file Vector.h.

## swap()

template<class T >

void swap | ( | Vector< T > & | x | ) |

Definition at line 211 of file Vector.h.

## begin() [1/2]

template<class T >

iterator begin | ( |  | ) |

Definition at line 217 of file Vector.h.

## begin() [2/2]

template<class T >

const_iterator begin | ( |  | ) | const

Definition at line 221 of file Vector.h.

## end() [1/2]

template<class T >

iterator end | ( |  | ) |

Definition at line 225 of file Vector.h.

## end() [2/2]

template<class T >

const_iterator end | ( |  | ) | const

Definition at line 229 of file Vector.h.

## rbegin() [1/2]

template<class T >

reverse_iterator rbegin | ( |  | ) |

Definition at line 233 of file Vector.h.

## rbegin() [2/2]

template<class T >

const_reverse_iterator rbegin | ( |  | ) | const

Definition at line 237 of file Vector.h.

## rend() [1/2]

template<class T >

reverse_iterator rend | ( |  | ) |

Definition at line 241 of file Vector.h.

## rend() [2/2]

template<class T >

const_reverse_iterator rend | ( |  | ) | const

Definition at line 245 of file Vector.h.

## size()

template<class T >

size_type size | ( |  | ) | const

Definition at line 249 of file Vector.h.

## max_size()

template<class T >

size_type max_size | ( |  | ) | const

Definition at line 253 of file Vector.h.

## capacity()

template<class T >

size_type capacity | ( |  | ) | const

Definition at line 257 of file Vector.h.

## empty()

template<class T >

bool empty | ( |  | ) | const

Definition at line 261 of file Vector.h.

## resize()

template<class T >

void resize | ( | size_type | sz,
|  | T | v = `T ()`
| ) |  |

Definition at line 266 of file Vector.h.

## operator[]() [1/2]

template<class T >

const_reference operator[] | ( | size_type | n | ) | const

Definition at line 274 of file Vector.h.

## operator[]() [2/2]

template<class T >

reference operator[] | ( | size_type | n | ) |

Definition at line 278 of file Vector.h.

## at() [1/2]

template<class T >

const_reference at | ( | size_type | n | ) | const

Definition at line 283 of file Vector.h.

## at() [2/2]

template<class T >

reference at | ( | size_type | n | ) |

Definition at line 287 of file Vector.h.

## front() [1/2]

template<class T >

reference front | ( |  | ) |

Definition at line 291 of file Vector.h.

## front() [2/2]

template<class T >

const_reference front | ( |  | ) | const

Definition at line 295 of file Vector.h.

## back() [1/2]

template<class T >

reference back | ( |  | ) |

Definition at line 299 of file Vector.h.

## back() [2/2]

template<class T >

const_reference back | ( |  | ) | const

Definition at line 303 of file Vector.h.

## push_back()

template<class T >

void push_back | ( | const T & | x | ) |

Definition at line 309 of file Vector.h.

## insert() [1/3]

template<class T >

iterator insert | ( | iterator | position,
|  | const T & | x = `T ()`
| ) |  |

Definition at line 313 of file Vector.h.

## insert() [2/3]

template<class T >

void insert | ( | iterator | position,
|  | size_type | n,
|  | const T & | x
| ) |  |

Definition at line 317 of file Vector.h.

## insert() [3/3]

template<class T >

void insert | ( | iterator | position,
|  | const_iterator | first,
|  | const_iterator | last
| ) |  |

Definition at line 322 of file Vector.h.

## pop_back()

template<class T >

void pop_back | ( |  | ) |

Definition at line 327 of file Vector.h.

## erase() [1/2]

template<class T >

void erase | ( | iterator | position | ) |

Definition at line 331 of file Vector.h.

## erase() [2/2]

template<class T >

void erase | ( | iterator | first,
|  | iterator | last
| ) |  |

Definition at line 335 of file Vector.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/util/lib/Vector.h